::==================================================================
::BIOS Flash reference script V1.3
::It is a sample script to demo how to flash BIOS via script command
::Please make your own script depend on your case.
::==================================================================
::Target Platform
::flash tool is afudos 3.06.01 (APTIO4)(DOS)
@echo off
:LABEL_SET_VAR
::==================================
set BIOS_BIN=MRQ87R11.ROM
set FLASH_TOOL=afu30601.exe
set FLASH_PARAMETER= /B /P /N /X
::==================================
:LABEL_CHECK_FILE
if not exist %BIOS_BIN% goto LABEL_BIOS_BIN_ERROR
if not exist %FLASH_TOOL% goto LABEL_BIOS_BIN_ERROR
goto LABEL_GO_FLASH
::
:LABEL_GO_FLASH
@echo on
::Append your own process here
%FLASH_TOOL% %BIOS_BIN% %FLASH_PARAMETER%
@echo off
@pause
goto LABEL_DONE
::
:LABEL_BIOS_BIN_ERROR
@echo Please makesure both %BIOS_BIN% and %FLASH_TOOL% are existed in this folder.
:LABEL_DONE
:LABEL_CLEAR_VAR
::==================================
set BIOS_BIN=
set FLASH_TOOL=
set FLASH_PARAMETER=
::==================================